<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@cu 				CU-SA-AC-040 Consultar cotizaciones de avalúos
-->

<h:panelGrid columns="1" cellspacing="7" width="100%"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui">

    <p:dataTable id="cotizacionesAvaluosDT"
                 value="#{consultaCotizacionesAvaluos.solicitudesDeCotizacion}"
                 var="avaluo" rowKey="#{avaluo.id}" paginator="true" rows="10"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                 {NextPageLink} {LastPageLink}"
                 rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                 emptyMessage="No se encontraron solicitudes de cotización para los parametros especificados">

        <f:facet name="header">
            Solicitudes de cotización
        </f:facet>

        <p:column headerText="Opciones">
            <p:commandButton title="Información de los predios del avalúo"
                             icon="ui-icon-home"
                             action="#{consultaInformacionPredial.cargarInformacionPredial}"
                             update=":prediosAvaluoForm" onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();
                             handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                <f:setPropertyActionListener value="#{avaluo}"
                                             target="#{consultaInformacionPredial.avaluoSeleccionado}" />
            </p:commandButton>
            <p:commandButton title="Consultar cotización por predios"
                             icon="ui-icon-search" update=":detallesCotizacionForm"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); detallesCotizacionWV.show();">
                <f:setPropertyActionListener
                    target="#{consultaCotizacionesAvaluos.avaluoSeleccionado}"
                    value="#{avaluo}" />
            </p:commandButton>
        </p:column>

        <p:column headerText="Departamento"
                  sortBy="#{avaluo.avaluoPredios[0].departamento.nombre}">
            <p:commandLink value="#{avaluo.avaluoPredios[0].departamento.nombre}"
                           rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                           styleClass="commandLinkStyle"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="statusDialog2.hide();
                           handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                <f:setPropertyActionListener value="#{avaluo}"
                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                          value="#{avaluo.avaluoPredios[0].departamento.codigo} - #{avaluo.avaluoPredios[0].departamento.nombre}" />

        </p:column>

        <p:column headerText="Municipio"
                  sortBy="#{avaluo.avaluoPredios[0].municipio.nombre}">
            <p:commandLink value="#{avaluo.avaluoPredios[0].municipio.nombre}"
                           rendered="#{avaluo.tienePrediosEnDiferentesMunicipios}"
                           styleClass="commandLinkStyle"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="statusDialog2.hide();
                           handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                <f:setPropertyActionListener value="#{avaluo}"
                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText
                rendered="#{!avaluo.tienePrediosEnDiferentesMunicipios}"
                value="#{avaluo.avaluoPredios[0].municipio.codigo} - #{avaluo.avaluoPredios[0].municipio.nombre}" />
        </p:column>

        <p:column headerText="Tipo avalúo">
            <h:outputText value="#{avaluo.tipoAvaluo}" id="AvaluoTipoAvaluoV-1">
                <f:converter converterId="converterCB" for="AvaluoTipoAvaluoV-1" />
            </h:outputText>
        </p:column>

        <p:column headerText="Sec_Radicado" sortBy="#{avaluo.secRadicado}">
            <p:commandLink styleClass="commandLinkStyle"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                           value="#{avaluo.secRadicado}">
                <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                             target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
            </p:commandLink>
        </p:column>



        <p:column headerText="Fecha radicación">
            <h:outputText value="#{avaluo.tramite.solicitud.fecha}">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
            </h:outputText>
        </p:column>

        <p:column headerText="No. predios">
            <h:outputText value="#{fn:length(avaluo.avaluoPredios)}" />
        </p:column>

        <p:column headerText="Solicitante"
                  sortBy="#{avaluo.solicitante.nombreCompleto}">
            <h:outputText value="#{avaluo.solicitante.nombreCompleto}" />
        </p:column>

        <p:column headerText="Valor total cotización">
            <h:outputText value="#{avaluo.valorCotizacion}">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

    </p:dataTable>
</h:panelGrid>